dmmp_mpath_name_get(3)

NAME
dmmp_mpath_name_get - Retrieve name(alias) of certain mpath.

SYNOPSIS
const char * dmmp_mpath_name_get (struct dmmp_mpath *dmmp_mp);

ARGUMENTS

dmmp_mp
    Pointer of 'struct dmmp_mpath'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
Retrieve the name (also known as alias) of certain mpath. When the config 'user_friendly_names' been set 'no', the name will be identical to WWID retrieved by dmmp_mpath_wwid_get.

RETURN
const char *. No need to free this memory, the resources will get freed when dmmp_mpath_array_free.